﻿// homePage.js
(function () {
  "use strict";

  WinJS.UI.Pages.define("/pages/home/home.html", {
    ready: function (element, options) {
      var people = [
        //{ name: "John", age: 18, favoriteColor: "red" },
        //{ name: "Tom", age: 16, favoriteColor: "green" },
        //{ name: "Chris", age: 42, favoriteColor: "blue" },
        // notify binding listeners when these objects change
        WinJS.Binding.as({ name: "John", age: 18, favoriteColor: "red" }),
        WinJS.Binding.as({ name: "Tom", age: 16, favoriteColor: "green" }),
        WinJS.Binding.as({ name: "Chris", age: 42, favoriteColor: "blue" }),
      ];

      // bind the current person to the HTML elements in the section
      var section = element.querySelector("section[role=main]");

      // listen for the current index to change and update the HTML
      var viewModel = WinJS.Binding.as({ current: 0, person: null });
      //WinJS.Binding.processAll(section, people[current]);
      WinJS.Binding.processAll(section, viewModel);
      viewModel.bind("current", function (newValue, oldValue) {
        viewModel.person = people[newValue];
      });

      birthdayButton.onclick = function () {
        //var person = people[viewModel.current];
        //person.age++; // changing a bound property doesn't work yet...
      viewModel.person.age++;
      };

      // bind to the previous object
      previousButton.onclick = function () {
        //current = (people.length + current - 1) % people.length;
        //viewModel.person = people[current];

        // set the current index and let the binding do the work
        viewModel.current = (people.length + viewModel.current - 1) % people.length;
      };

      // bind to the next object
      nextButton.onclick = function () {
        //current = (people.length + current + 1) % people.length;
        //viewModel.person = people[current];

        // set the current index and let the binding do the work
        viewModel.current = (people.length + viewModel.current - 1) % people.length;
      };
    }
  });
})();
